(none) imager-devel
/ help / lists / applications / search /
 

Can't locate loadable object for module Imager - OS X 10.4

From: Niki Schultz (
14681@xyz.molar.is)
Date: Thu 11 Aug 2005 - 16:53:40 GMT

  • Next message: Tony Cook: "Re: Can't locate loadable object for module Imager - OS X 10.4"

    Hello,

    I have been trying to get Imager to work on my OS X 10.4 machine, but
    I have had no luck so far. I am trying to use Imager as part of
    Simpleviewer (http://www.airtightinteractive.com/simpleviewer/), and
    I am using the Perl script from their site (see http://
    www.airtightinteractive.com/simpleviewer/auto_instruct.html).

    The error message I keep getting is:
    Can't locate loadable object for module Imager in @INC (@INC
    contains: /System/Library/Perl/5.8.6/darwin-thread-multi-2level /
    System/Library/Perl/5.8.6 /Library/Perl/5.8.6/darwin-thread-
    multi-2level /Library/Perl/5.8.6 /Library/Perl /Network/Library/Perl/
    5.8.6/darwin-thread-multi-2level /Network/Library/Perl/5.8.6 /Network/
    Library/Perl /System/Library/Perl/Extras/5.8.6/darwin-thread-
    multi-2level /System/Library/Perl/Extras/5.8.6 /Library/Perl/5.8.1/
    darwin-thread-multi-2level /Library/Perl/5.8.1 .) at /System/Library/
    Perl/5.8.6/darwin-thread-multi-2level/DynaLoader.pm line 153
    BEGIN failed--compilation aborted at /System/Library/Perl/5.8.6/
    darwin-thread-multi-2level/Imager.pm line 153.
    Compilation failed in require at buildgallery.pl line 18.
    BEGIN failed--compilation aborted at buildgallery.pl line 18.

    What could this be caused by? I have read that this may be caused by
    a missing or misplaced .so file, but I could not fine more details
    anywhere (and I could not find that file anywhere on my system or in
    the original Imager distribution).
    By the way, I downloaded and built Imager (0.45) through the CPAN
    shell (install Imager), and everything worked and tested OK.

    Thanks for your help.
    Niki.



  •